cannot run watcher-api

Bug #1517979 reported by Jean-Emile DARTOIS on 2015-11-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
watcher
Critical
Jean-Emile DARTOIS

Bug Description

The latest version of Watcher api fails to start up.

 File "/home/ubuntu/w_env/bin/watcher-api", line 6, in <module>
    from watcher.cmd.api import main
  File "/home/ubuntu/w_env/local/lib/python2.7/site-packages/watcher/cmd/api.py", line 27, in <module>
    from watcher.api import app as api_app
  File "/home/ubuntu/w_env/local/lib/python2.7/site-packages/watcher/api/app.py", line 23, in <module>
    from watcher.api import config as api_config
  File "/home/ubuntu/w_env/local/lib/python2.7/site-packages/watcher/api/config.py", line 45, in <module>
    'debug': cfg.CONF.debug,
  File "/home/ubuntu/w_env/local/lib/python2.7/site-packages/oslo_config/cfg.py", line 1899, in __getattr__
    raise NoSuchOptError(name)
oslo_config.cfg.NoSuchOptError: no such option: debug

Changed in watcher:
assignee: nobody → Jean-Emile DARTOIS (jed56)
status: New → Confirmed
description: updated
Changed in watcher:
importance: Undecided → Critical
Changed in watcher:
status: Confirmed → Fix Committed
Changed in watcher:
status: Fix Committed → Fix Released
Changed in watcher:
milestone: none → mitaka-1
status: Fix Released → Fix Committed
milestone: mitaka-1 → none
milestone: none → mitaka-1
Changed in watcher:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers